SPA API Tokens

SPA: Retrieves a single API Token

Returns a single API token by ID including the token value. Requires ROLE_INTEGRATOR or ROLE_ADMIN.

GET/api/spa/api-tokens/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

ApiToken identifier

Response

200application/json

ApiToken resource

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "default"

description
stringrequired

ApiToken description

Example: "Any description"

token
string

Token, to be used in API requests to Output.Rocks API

Example: "Any description"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"